%define name kisdndial
%define version 0.1.6
%define release 3mdk
# menu

%define section Networking/Remote access
%define title Kisdndial

%define summary Kisdndial

Summary:	%summary
Name:		%name
Version:	%version
Release:	%release
Group:		%section
License:	GPL
BuildRoot:	%_tmppath/%name-buildroot
Source:		%{name}-%{version}.tar.bz2
URL: 		http://www.kisdndial.de/
Requires: 	isdn4k-utils
BuildRequires:	kdebase3-devel

%description
kicker application for easy connection triggering for ISDN
and some DSL connections

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f %buildroot/%_libdir/lib%name.so

#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
install -m 644 %buildroot/%_datadir/icons/hicolor/32x32/apps/kisdndial.png %buildroot/%_liconsdir
install -m 644 %buildroot/%_datadir/icons/hicolor/22x22/apps/kisdndial.png %buildroot/%_iconsdir
install -m 644 %buildroot/%_datadir/icons/hicolor/16x16/apps/kisdndial.png %buildroot/%_miconsdir

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%_datadir/applnk/Internet/%name.desktop
%_libdir/lib%name.so.*
%_libdir/lib%name.la

%dir %_datadir/apps/%name/
%_datadir/apps/%name/*
%_datadir/apps/kicker/applets/*
%_datadir/doc/HTML/*/*
%_datadir/icons/hicolor/16x16/apps/%name.png
%_datadir/icons/hicolor/22x22/apps/%name.png
%_datadir/icons/hicolor/32x32/apps/%name.png
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Fri Nov  5 2004 Olivier Blin <blino@mandrake.org> 0.1.6-3mdk
- keep .la file or else the applet won't load in KDE (#12166)

* Mon Aug  9 2004 Olivier Blin <blino@mandrake.org> 0.1.6-2mdk
- remove menu entry, keep KDE desktop one (it's an applet)

* Mon Aug  2 2004 Olivier Blin <blino@mandrake.org> 0.1.6-1mdk
- 1.6
- fix BuildRequires
- remove development files
- fix icons installation
- quiet setup

* Wed Jun 23 2004 Steffen Barszus <steffen@barszus.de> 1.5.1-2mdk
- cleaning up spec file

* Thu May 24 2001 joerg <joerg.k@web.de>
- initial package
